##
##  PM-Mime.r
##  Pegasus Mail MIME localisation resource.
##  Copyright (c) 1993, David Harris, All Rights Reserved.
##
##  Use this file to define site-specific character sets and viewers
##  for MIME message types which PMail does not support directly.
##
##  The first resource in the file has a repeating data type. Each
##  instance of the data type identifies a particular MIME sub-type
##  and the DOS command which should be run to display it.
##
##  To define localizations for your site, make any changes necessary
##  to this file, then compile it using the Pegasus Mail Resource
##  Compiler, ResCom, using the command "rescom pm-mime.r". The result
##  will be a file called PM-MIME.RSC - you can either copy this file
##  into the same directory as PMAIL.EXE if you want it to be available
##  to all users on your network, or into your home mailbox if you want
##  it to apply only to you.
##

typedef mime_handlers 27   ####  DON'T CHANGE OR REMOVE THIS DEFINITION!!!
   {
   integer     #  The number of viewer commands you have defined in this file
   repeat
   integer     #  Non-zero if PMail is to run this without prompting the user
   string 20   #  The Primary message type, string, max 20 characters
   string 20   #  The Secondary message type, string, max 20 characters
   string 100  #  The command to run for this message type, max 100 characters
   };

##  The following definition is intended as a sample for you to use; it
##  declares only four viewers even though there are several lines in it.
##  The message types can be declared in any order in the file - PMail
##  scans the list sequentially. Note that you have to double any '\'
##  characters you use in filenames because the resource compiler views
##  a single '\' as an escape character.
##
##  The command to run for a viewer can include most of the command
##  substitutions defined in the User-defined gateway guide (UDG.TXT)
##  contained in this release of PMail in the file UDG.ZIP. The command
##  substitution you will use most often is "~c", which is replaced by
##  the name of the temporary file PMail creates containing the data
##  from the message.


mime_handlers resource_0
   {
   4,  ## Note that this means only the first four entries are valid viewers

   0, "APPLICATION", "POSTSCRIPT",   "<command to run goes here>",
   0, "APPLICATION", "OCTET-STREAM", "bview ~c",
   1, "AUDIO",       "BASIC",        "i:\\scratch\\4\\auplay.bat ~c",
   1, "IMAGE",       "GIF",          "j:\\gif\\tview.bat ~c",
   0, "APPLICATION", "ODA",          " ",
   0, "IMAGE",       "JPEG",         " ",
   0, "VIDEO",       "MPEG",         " ",

   #  You may add other MIME types to this list as they are defined.
   };

